Product Feed Rules
Updated: Jan 30, 2026
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
GraphProductFeedRulesEdge
Example
GET /v25.0/{product-feed-id}/rules HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of ProductFeedRule nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
/{product_feed_id}/rules
You can make a POST request to rules edge from the following paths:
When posting to this edge, a ProductFeedRule will be created.
Parameters
| Parameter | Description |
|---|---|
attributestring |
The attribute to which the rules are going to be applied. Its value maps to the the property we are going to transform. Note: A feed can not have more than one rule with the same rule_type and attribute. required |
paramsdictionary { string : <string> } |
Specifies the parameters which are going to be used as the input of the rule. Each rule expects params object to be of particular form: mapping_rule: {"map_from": string} value_mapping_rule: {string: string} letter_case_rule: {"type": one of regex_replace_rule: {regex: string} //regex ==a valid regular expression eg: [Cc]olou?r"to_upper", "to_lower", "capitalize_all", "capitalize_first"} fallback_rule: {"user_default_value": string} |
rule_typeenum{mapping_rule, value_mapping_rule, letter_case_rule, fallback_rule, regex_replace_rule} |
A type of a rule. Defines the operation that is going to be applied to the attribute.
required |
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.